import Vue from 'vue';
import * as common from 'schema-based-json-editor';
export declare class BooleanEditor extends Vue {
    schema: common.BooleanSchema;
    initialValue?: boolean;
    title: string;
    theme: common.Theme;
    icon: common.Icon;
    locale: common.Locale;
    readonly: boolean;
    required: boolean;
    hasDeleteButton: boolean;
    value?: boolean | undefined;
    buttonGroupStyle: string;
    beforeMount(): void;
    readonly isReadOnly: boolean | undefined;
    readonly hasDeleteButtonFunction: boolean;
    readonly titleToShow: string;
    readonly booleanOptions: {
        value: boolean;
        label: string;
    }[];
    readonly className: string;
    onChange(): void;
    toggleOptional(): void;
}
